sanitize_html 2.0.0
sanitize_html: ^2.0.0 copied to clipboard

Function for sanitizing HTML to prevent XSS by restrict elements and attributes to a safe subset of allowed values.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add sanitize_html

With Flutter:

 $ flutter pub add sanitize_html

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):


dependencies:
  sanitize_html: ^2.0.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:sanitize_html/sanitize_html.dart';
16
likes
130
pub points
95%
popularity

Publisher

google.dev

Function for sanitizing HTML to prevent XSS by restrict elements and attributes to a safe subset of allowed values.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache 2.0 (LICENSE)

Dependencies

html, meta

More

Packages that depend on sanitize_html